Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 126003 - Sort names, show directories for 'Open recent file' list
Sort names, show directories for 'Open recent file' list
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Code
6.x
All Windows XP
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 13:20 UTC by brutzman
Modified: 2013-01-30 03:41 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brutzman 2008-01-25 13:20:20 UTC
When displaying the 'Open recent file' list, need to sort (alphabetize by filename) and show directories (via tooltip)
for each file in list.  This will make it much easier to choose files.

Example demonstrating why showing directories would be helpful:  when managing multiple projects, there are typically
multiple build.xml files of interest.  The 'Open recent file' list provides no way to distinguish among them, leaving
the user only the guesswork choice of opening each, or else using another way to locate the desired build.xml file.

Possible alternative for build.xml files:  display build.xml file's description in tooltip rather than directory.
Comment 1 Peter Pis 2008-08-20 15:07:05 UTC
Reassigning to "utilities" for evaluation.
Comment 2 Jaroslav Havlin 2013-01-11 12:46:26 UTC
(In reply to comment #0)
> When displaying the 'Open recent file' list, need to sort (alphabetize by
> filename) and show directories (via tooltip)
> for each file in list.  This will make it much easier to choose files.
Showing file paths in tooltips seems reasonable.
I think that we should not sort the files alphabetically, as they are sorted by date of addition to the list.

> Possible alternative for build.xml files:  display build.xml file's description
> in tooltip rather than directory.
It would probably cause some performance problems (loading file contents or some extra data when displaying the menu).

Thanks.
Comment 3 Jaroslav Havlin 2013-01-29 12:31:05 UTC
http://hg.netbeans.org/core-main/rev/6a1cf22606b9
Tooltips added.
Thank you for reporting.
Comment 4 Quality Engineering 2013-01-30 03:41:31 UTC
Integrated into 'main-golden', will be available in build *201301300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6a1cf22606b9
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #126003: Show path of a Recent File item in tooltip


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo